* {
    margin: 0;
    padding: 0;
    font-family: Calibri;
}

html, body {
    width: 100%;
    height: 100%;
}

#container {
    width: 100%;
    height: 100%;
    display: flex;
    flex-wrap: wrap;
}

#container div {
    /* Selleks, et tsentreerida elemendi sisu vertikaalselt ja horisontaalselt. */
    display: flex;
    justify-content: center;
    align-items: center;
}

#header {
    flex-basis: 100%;
    height: 100px;
    background: lightcoral;
    order: 1;
}

#left {
    flex: 2;
    order: 2;
    background: lightskyblue;
}

#main {
    height: calc(100% - 200px);
    flex: 4;
    order: 4;
    background: lightsteelblue;
}

#right {
    flex: 1;
    order: 3;
    background: lightsalmon;
}

#footer {
    flex-basis: 100%;
    height: 100px;
    order: 5;
    background: black;
    color: white;
}

@media (max-width: 500px) {
    #left {
        height: 150px;
        flex: 1;
    }

    #right {
        height: 150px;
        flex: 1;
    }

    #main {
        height: calc(100% - 350px);
        flex-basis: 100%;
    }
}